[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TWinControl.WSSetText

Sets the value for the Text property in the widgetset class.

## Declaration

Source position: controls.pp line 2315

`protected procedure TWinControl.WSSetText(`
`const AText: string`
`); virtual;`

## Arguments

`AText` |  | The text to send.

## Description

Calls the SetText method in the widgetset class instance.

WSSetText is called from the Loaded and InitializeWnd methods after the control has finished loading using the LCL streaming mechanism or created its window handle. It is also called from RealSetText to apply a new value for the Caption property to the Text for the control.